<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.6 in JDK 6. -->
<definitions targetNamespace="http://tfs.med.DNS   /" name="WTFService" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://tfs.med.DNS   /" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <types>
    <xsd:schema>
      <xsd:import namespace="http://tfs.med.DNS   /" schemaLocation="WTFService_schema1.xsd"/>
    </xsd:schema>
  </types>
  <message name="isAlive">
    <part name="parameters" element="tns:isAlive"/>
  </message>
  <message name="isAliveResponse">
    <part name="parameters" element="tns:isAliveResponse"/>
  </message>
  <message name="getActiveTemplateIds">
    <part name="parameters" element="tns:getActiveTemplateIds"/>
  </message>
  <message name="getActiveTemplateIdsResponse">
    <part name="parameters" element="tns:getActiveTemplateIdsResponse"/>
  </message>
  <message name="getActiveFilterIds">
    <part name="parameters" element="tns:getActiveFilterIds"/>
  </message>
  <message name="getActiveFilterIdsResponse">
    <part name="parameters" element="tns:getActiveFilterIdsResponse"/>
  </message>
  <message name="getVhimVersions">
    <part name="parameters" element="tns:getVhimVersions"/>
  </message>
  <message name="getVhimVersionsResponse">
    <part name="parameters" element="tns:getVhimVersionsResponse"/>
  </message>
  <message name="getFilterMetaData">
    <part name="parameters" element="tns:getFilterMetaData"/>
  </message>
  <message name="getFilterMetaDataResponse">
    <part name="parameters" element="tns:getFilterMetaDataResponse"/>
  </message>
  <message name="getTemplateMetaData">
    <part name="parameters" element="tns:getTemplateMetaData"/>
  </message>
  <message name="getTemplateMetaDataResponse">
    <part name="parameters" element="tns:getTemplateMetaDataResponse"/>
  </message>
  <message name="createFilterMetaData">
    <part name="parameters" element="tns:createFilterMetaData"/>
  </message>
  <message name="createFilterMetaDataResponse">
    <part name="parameters" element="tns:createFilterMetaDataResponse"/>
  </message>
  <message name="createTemplateMetaData">
    <part name="parameters" element="tns:createTemplateMetaData"/>
  </message>
  <message name="createTemplateMetaDataResponse">
    <part name="parameters" element="tns:createTemplateMetaDataResponse"/>
  </message>
  <message name="deleteFilterMetaData">
    <part name="parameters" element="tns:deleteFilterMetaData"/>
  </message>
  <message name="deleteFilterMetaDataResponse">
    <part name="parameters" element="tns:deleteFilterMetaDataResponse"/>
  </message>
  <message name="deleteTemplateMetaData">
    <part name="parameters" element="tns:deleteTemplateMetaData"/>
  </message>
  <message name="deleteTemplateMetaDataResponse">
    <part name="parameters" element="tns:deleteTemplateMetaDataResponse"/>
  </message>
  <portType name="TemplateFilterServiceInterface">
    <operation name="isAlive">
      <input message="tns:isAlive"/>
      <output message="tns:isAliveResponse"/>
    </operation>
    <operation name="getActiveTemplateIds">
      <input message="tns:getActiveTemplateIds"/>
      <output message="tns:getActiveTemplateIdsResponse"/>
    </operation>
    <operation name="getActiveFilterIds">
      <input message="tns:getActiveFilterIds"/>
      <output message="tns:getActiveFilterIdsResponse"/>
    </operation>
    <operation name="getVhimVersions">
      <input message="tns:getVhimVersions"/>
      <output message="tns:getVhimVersionsResponse"/>
    </operation>
    <operation name="getFilterMetaData">
      <input message="tns:getFilterMetaData"/>
      <output message="tns:getFilterMetaDataResponse"/>
    </operation>
    <operation name="getTemplateMetaData">
      <input message="tns:getTemplateMetaData"/>
      <output message="tns:getTemplateMetaDataResponse"/>
    </operation>
    <operation name="createFilterMetaData">
      <input message="tns:createFilterMetaData"/>
      <output message="tns:createFilterMetaDataResponse"/>
    </operation>
    <operation name="createTemplateMetaData">
      <input message="tns:createTemplateMetaData"/>
      <output message="tns:createTemplateMetaDataResponse"/>
    </operation>
    <operation name="deleteFilterMetaData">
      <input message="tns:deleteFilterMetaData"/>
      <output message="tns:deleteFilterMetaDataResponse"/>
    </operation>
    <operation name="deleteTemplateMetaData">
      <input message="tns:deleteTemplateMetaData"/>
      <output message="tns:deleteTemplateMetaDataResponse"/>
    </operation>
  </portType>
  <binding name="TemplateFilterServicePortBinding" type="tns:TemplateFilterServiceInterface">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" style="document"/>
    <operation name="isAlive">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="getActiveTemplateIds">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="getActiveFilterIds">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="getVhimVersions">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="getFilterMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="getTemplateMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="createFilterMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="createTemplateMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="deleteFilterMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
    <operation name="deleteTemplateMetaData">
      <soap:operation soapAction=""/>
      <input>
        <soap:body use="literal"/>
      </input>
      <output>
        <soap:body use="literal"/>
      </output>
    </operation>
  </binding>
  <service name="WTFService">
    <port name="TemplateFilterServicePort" binding="tns:TemplateFilterServicePortBinding">
      <soap:address location="REPLACE_WITH_ACTUAL_URL"/>
    </port>
  </service>
</definitions>

